import { Component } from 'solid-js';
import RestClient from '../api/RestClient';
import Button from '../ui/Button';

const Test: Component = () => {
  const TEST_USER = {
    id: '310c0d24-cc2e-4798-a259-0d49bf2e3a5a',
    hash: 'MEIN_HASH',
    login: 'phga',
    salt: 'MEIN_SALZ',
  };

  return (
    <>
      <h1 class='text-4xl'>TEST</h1>
      <Button onClick={() => RestClient.GET('/')}>HOME</Button>
      <Button
        backgroundColor='gray'
        onClick={() => RestClient.POST('/login', JSON.stringify(TEST_USER))}
      >
        POST_LOGIN
      </Button>
      <Button onClick={() => RestClient.GET('/user')}>GET_USER</Button>
      <Button onClick={() => RestClient.GET('/todo')}>GET_TODO</Button>
    </>
  );
};

export default Test;
