/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ['./src/**/*.{js,jsx,ts,tsx}'],
  theme: {
    extend: {
      colors: {
        'sh-bgM2': '#000306',
        'sh-bgM1': '#020E18',
        'sh-bg': '#0D1F2D',
        'sh-bgP1': '#1E3141',
        'sh-bgP2': '#3C5161',
        'sh-fgM2': '#546A7B',
        'sh-fgM1': '#9EA3B0',
        'sh-fg': '#C3C9E9',
        'sh-fgP1': '#BDD3DD',
        'sh-white': '#FEFEFE',
        'sh-black': '#000306',
        'sh-yellowM1': '#DA7F05',
        'sh-yellow': '#FDAA3A',
        'sh-yellowP1': '#FFC16E',
        'sh-orangeM1': '#C45A00',
        'sh-orange': '#FF7F11',
        'sh-orangeP1': '#FFA251',
        'sh-redM2': '#960004',
        'sh-redM1': '#CD1419',
        'sh-red': '#ED474A',
        'sh-redP1': '#FD7E81',
        'sh-greenM1': '#739F2F',
        'sh-green': '#A5CC69',
        'sh-greenP1': '#D5EEAE',
        'sh-greenP2': '#A2DFED',
        'sh-blueM2': '#0683A0',
        'sh-blueM1': '#36A1BB',
        'sh-blue': '#64BFD6',
        'sh-blueP1': '#A2DFED',
        'sh-magentaM2': '#690635',
        'sh-magentaM1': '#902B5B',
        'sh-magenta': '#B95F8A',
        'sh-magentaP1': '#DBA1BC',
        'sh-purpleM2': '#630DAE',
        'sh-purpleM1': '#863FC4',
        'sh-purple': '#A86CDC',
        'sh-purpleP1': '#CEA7F0',
      },
    },
  },
  plugins: [],
};
